## org.apache.commons.collections.bidimap
Class AbstractDualBidiMap.Values

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.bidimap.AbstractDualBidiMap.View
              org.apache.commons.collections.bidimap.AbstractDualBidiMap.Values

All Implemented Interfaces:
  Collection, Set

Enclosing class:
  AbstractDualBidiMap

protected static class AbstractDualBidiMap.Values
extends AbstractDualBidiMap.View
implements Set

Inner class Values.

Field Summary

Fields inherited from class org.apache.commons.collections.bidimap.AbstractDualBidiMap.View
`parent`

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `AbstractDualBidiMap.Values(AbstractDualBidiMap parent)` Constructs a new view of the BidiMap.

Method Summary
`boolean` `contains(Object value)`
`Iterator` `iterator()`
`boolean` `remove(Object value)`

Methods inherited from class org.apache.commons.collections.bidimap.AbstractDualBidiMap.View
`clear, removeAll, retainAll`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, containsAll, equals, getCollection, hashCode, isEmpty, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, containsAll, equals, hashCode, isEmpty, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### AbstractDualBidiMap.Values

    protected AbstractDualBidiMap.Values(AbstractDualBidiMap parent)

  Constructs a new view of the BidiMap.

Parameters:
  `parent` - the parent BidiMap

Method Detail

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Set`
  Overrides:
    `iterator` in class `AbstractCollectionDecorator`

### contains

    public boolean contains(Object value)

  Specified by:
    `contains` in interface `Set`
  Overrides:
    `contains` in class `AbstractCollectionDecorator`

### remove

    public boolean remove(Object value)

  Specified by:
    `remove` in interface `Set`
  Overrides:
    `remove` in class `AbstractCollectionDecorator`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.